FINGERD(8)

NAME
fingerd - remote user information server

SYNOPSIS
fingerd [-s] [-l] [-p filename]

DESCRIPTION
Fingerd is a simple protocol based on that provides an interface to the Name and Finger programs at several network sites. The program is supposed to return a friendly, human-oriented status report on either the system at the moment or a particular person in depth. There is no required format and the protocol consists mostly of specifying a single “command line”.

Fingerd listens for TCP requests at port 79. Once connected it reads a single command line terminated by a <CRLF> which is passed to finger(1). Fingerd closes its connections as soon as the output is finished.

If the line is null (i.e. just a <CRLF> is sent) then finger returns a “default” report that lists all people logged into the system at that moment.

If a user name is specified (e.g. eric<CRLF>) then the response lists more extended information for only that particular user, whether logged in or not. Allowable “names” in the command line include both “login names” and “user names”. If a name is ambiguous, all possible derivations are returned.

The following options may be passed to fingerd as server program arguments in /etc/inetd.conf:

-s  Enable secure mode. Queries without a user name are rejected and forwarding of queries to other remote hosts is denied.

-l  Enable logging. The name of the host originating the query is reported via syslog(3) at LOG_NOTICE priority.

-p  Use an alternate program as the local information provider. The default local program executed by fingerd is finger(1). By specifying a customized local server, this option allows a system manager to have more control over what information is provided to remote sites.

SEE ALSO
finger(1)

BUGS
Connecting directly to the server from a TIP or an equally narrow-minded TELNET-protocol user program can result in meaningless attempts at option negotiation being sent to the server, which will foul up the command line interpretation. Fingerd should be taught to filter out IAC's and perhaps even respond negatively (IAC WON'T) to all option commands received.

HISTORY
The fingerd command appeared in 4.3BSD.